#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These insignificant floating-point exceptions -- underflow/inexact/denormal
# -- are suppressed for binaries compiled by gfortran.
export DEB_FCFLAGS_MAINT_APPEND = -ffpe-summary=invalid,zero,overflow

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#export DEB_CFLAGS_MAINT_APPEND = -O4 -DNEBUG
#export DEB_CXXFLAGS_MAINT_APPEND = -O4 -DNEBUG

%:
	dh $@ --no-parallel

# Parallel builds are disabled at all: order of Fortran modules
# is handled improperly by Autotools during compilation.
